ltspfs (1.4-1) unstable; urgency=medium

  * New upstream version:
    - Fix filesystem size calculations. Thanks to datube for the initial
      patch! (LP: #1021579).
    - Mount ltspfs filesystem directly to /media/username/mountpoint
      (Closes: #758090).
    - Add support for starting ltspfsd from systemd service file when
      systemd is running (Closes: #758093).
    - ltspfsd: Don't add duplicate entries to ltspfs_fstab.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 18 Aug 2014 09:48:57 -0700

ltspfs (1.3-1) unstable; urgency=medium

  * New upstream version:
    - Fix bug triggering cdrom mount when no media present.
    - Simplify code to trigger ltspfs mounts when LDM_DIRECTX is enabled.
    - Enable all udev rules. 

  * debian/rules: Use upstream udev rules for both Debian and Ubuntu.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 29 Dec 2013 13:29:30 -0800

ltspfs (1.2-1) unstable; urgency=low

  * New upstream version:
    - Drop support for cdpinger, relying on udev rules instead.
    - Move init-ltsp.d hooks into the proper place.
    - Build ltspfs with -pthread to fix build failure.
      Patch from Matthias Klose.

  * debian/rules:
    - Conditionally enable extra udev rules (Debian) or remove (Ubuntu), to
      support CD media without cdpinger.

  * debian/compat:
    - Use debhelper compatibility level 9, which enables hardening flags.

  * debian/control:
    - Update Standards-Version to 3.9.5.
    - Remove un-used Build-Depends on lsb-release.
    - Remove obsolete DM-Upload-Allowed field.
    - Update Vcs-* fields to use anonscm.debian.org.

  * debian/copyright:
    - Updated Upstream-Source to current location.
    - Updated to use copyright-format 1.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 23 Dec 2013 16:25:21 -0800

ltspfs (1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * ltspfs: Depend on fuse instead of fuse-utils. (Closes: #698127)

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 12 May 2013 15:25:17 +0200

ltspfs (1.1-2) unstable; urgency=low

  * ltspfsd: Add symlink for init-ltsp.d hook for forward compatibility with 
    new ltsp versions.
  * ltspfsd-core: Add dependency on procps, used in ltspfs_entry script.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 01 Apr 2012 17:15:19 -0700

ltspfs (1.1-1) unstable; urgency=low

  * New upstream version:
    - Use init-ltsp.d hook for installing udev rules at boot.

  * debian/watch: Remove check for new versions from Fedora.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 24 Feb 2012 17:22:00 -0800

ltspfs (1.0-1) unstable; urgency=low

  * New upstream version:
    - Fix build warnings on 64-bit architectures.

  * Remove inactive Uploaders- thanks for all previous work! 
  * Update Standards-Version to 3.9.2:
    - Drop the XS- prefix for the DM-Upload-Allowed field.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 28 Oct 2011 23:37:50 -0400

ltspfs (0.9-1) unstable; urgency=low

  * New upstream version:
    - cdpinger: add support for UDF formatted CDs and DVDs.
    - ID_FS_LABEL is now usually 'safe'. Patch from gcc (LP: #690969)

  * debian/rules: Convert to using debhelper overrides.
  * debian/rules: use dh-autoreconf to ensure configure scripts are up to date.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 12 Aug 2011 16:44:24 -0700

ltspfs (0.7-2) unstable; urgency=low

  * Upload changes from experimental to unstable.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 03 Sep 2010 12:58:00 -0700

ltspfs (0.7-1) experimental; urgency=low

  * New upstream version:
    - Improve cdrom handling.

    - Add example ltspfs hook to issue notifications for desktops that do not
      display icons on the desktop. Thanks to Petter Reinholdtsen. (Partially
      resolves Debian bug #575031).

  * Update Standards-Version to 3.9.1:
    - Change Conflicts to Breaks+Replaces for ltspfsd and ltspfsd-core.

  * Switch to source format 3.0 (quilt).

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 25 Aug 2010 16:11:48 -0700

ltspfs (0.6-1) unstable; urgency=low

  * New upstream version:
    - Implement a mode that doesn't require authorization for LTSP localapps,
      rdesktop and kiosk screen scripts.
    - Optimize to use basic shell features instead of calling external
      binaries.
    - Add syslog support for cdpinger.
    - Make delayed-mounter work for LDM localapps.
    - Try to avoid multiple parallel calls to pgrep by writing a pid file.
    - Rewrite udev scripts to distinguish between udev events for CD device
      creation and removal and events triggered by cdpinger detecting CD
      insertion and removal.
    - Change ownership of /media/USER mount to only be readable by the user.
    - Force unmounting of ltspfs filesystems when the device is removed.

  * debian/control:
    - Uploaders: use new email address: vagrant@debian.org.
    - Update Standards-Version to 3.8.4, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 17 Feb 2010 19:04:41 -0800

ltspfs (0.5.14-1) unstable; urgency=low

  * New upstream version:
    - Fix mount point access when the users are in the same primary group.
    - Fix localapp mount when remote and local user doesn't have matching case.

  * Update package descriptions to differentiate between ltspfsd and
    ltspfsd-core.

  * Switch to using bzr.debian.org for the VCS-Browser line.

  * Update Standards-Version to 3.8.3, no changes necessary.

  * Remove Otavio Salvador from uploaders, at Otavio's request. many thanks for
    all previous and future contributions!

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 17 Jan 2010 00:55:33 -0800

ltspfs (0.5.13-1) unstable; urgency=low

  * new upstream version:
    - fixes to local mounts
      + find ldm's Xauthority in /var/run.
      + support ldm Xauthority in a sub-dir.
      + mount in /media/root if local mounting is configured.
      + only run mount for localapps if user's home dir is mounted via sshfs.
      + drop delayedmounter from xinitrc.d, as udev scripts should be
        sufficient now.
      + relocate delayed-mounter ldm hooks so they run after the user is added
        to /etc/passwd, and before the user is removed from /etc/passwd.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 17 Jul 2009 12:10:56 +0200

ltspfs (0.5.12-1) unstable; urgency=low

  * new upstream version:
    - remove entry in ltspfs_fstab before unmounting device, to prevent other
      processes from mounting it.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 07 Jun 2009 22:29:43 -0700

ltspfs (0.5.11-3) unstable; urgency=low

  * upload to unstable

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 15 Apr 2009 11:41:03 -0700

ltspfs (0.5.11-2) experimental; urgency=low

  * split ltspfsd and cdpinger into ltspfsd-core package, making it possible to
    install ltspfsd-core without having to install udev rules, or pull in
    recommends on ldm. (Closes: #454478)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 05 Apr 2009 13:34:26 -0700

ltspfs (0.5.11-1) unstable; urgency=low

  * new upstream version:
    - Add support for local ltspfs mounts with localapps.
    - Do not remove ltspfs mount on "already mounted" errors, as these errors
      may occur silently with multiple ltspfsmounters.
    - Avoid exporting a variable with spaces that may cause ltspfs mount to
      fail.

  * debian/copyright: update and switch to machine readable copyright format

  * debian/control: update Standards-Version to 3.8.1, no changes necessary.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 03 Apr 2009 13:46:39 -0700

ltspfs (0.5.9-1) unstable; urgency=low

  * new upstream version:
    - support mounting local devices on the thin client itself, for non-LDM
      environments (such as rdesktop).
    - add LOCALDEV_MOUNT_OPTIONS parameter to adjust the default mount options
      from local devices. 
    - add default support for utf8 character filenames if the local device is
      vfat, iso9660, or ntfs.
    - default to mounting CDs as iso9660 rather than "auto" to ensure that
      utf8 filenames work.
    - call ltspfs_entry remove if we fail to mount the device, so we don't end
      up with an ltspfsmount to tmpfs.
    - handle two devices with same label (such as inserting two identically
      labeled USB sticks).
    - updated udev rules.
    
  [ Vagrant Cascadian ]
  * use upstream udev rules, as Debian's variant was merged upstream.

  [ Ryan Niebur ]
  * clean up debian/rules file by switching to debhelper 7.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 22 Feb 2009 20:35:08 -0800

ltspfs (0.5.8-1) experimental; urgency=low

  * new upstream version:
    - ensure that the ltspfs authentication token exists in ldm login script,
      even when ltspfsd hasn't started yet, so that devices plugged in later
      will still be able to mount.

  * debian/watch: poll fedora and ubuntu for newer versions

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 12 Dec 2008 12:39:59 -0800

ltspfs (0.5.7-1) experimental; urgency=low

  * new upstream version:
    - fix bug in LOCALDEV_DENY causing USB disks to fail to mount

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 03 Dec 2008 09:32:49 -0800

ltspfs (0.5.6-1) experimental; urgency=low

  * new upstream version:
    - implemented more flexible rules to deny devices (LOCALDEV_DENY)

  * simplified udev rules, as LOCALDEV_DENY can more flexibly handle what was
    previously done in udev 
  * debian/watch: add comments explaining how to find the current version
  * debian/control: use proper VCS-* headers

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 20 Nov 2008 21:39:05 -0800

ltspfs (0.5.5-1) experimental; urgency=low

  * new upstream version
  * sync with ubuntu
  * conditionally install udev rules at priority 80 on Ubuntu

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 19 Oct 2008 11:05:23 -0700

ltspfs (0.5.5-0ubuntu1) intrepid; urgency=low

  * new upstream version:
   * Fix a segfault in cdpinger
  * Remove manpages from packaging as they now are upstream

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 10 Oct 2008 19:34:18 -0400

ltspfs (0.5.3-3) unstable; urgency=low

  * apply patch to fix cdpinger segfault
  * add Ryan Niebur to Uploaders

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 01 Nov 2008 17:21:32 -0700

ltspfs (0.5.3-2ubuntu1) intrepid; urgency=low

  * Set ltspfs rules to 80 instead of 50. (LP: #273147)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Oct 2008 13:30:55 -0400

ltspfs (0.5.3-2) unstable; urgency=low

  * added manpages for cdpinger, ltspfs_mount and ltspfs_umount
  * remove dpatch from debian/rules and drop build-dependency, as there are no
    patches.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 25 Aug 2008 15:27:30 -0700

ltspfs (0.5.3-1) unstable; urgency=low

  * new upstream version:
    + don't mount swap partitions
    + name CDROM devices such that icon will appear to be a CDROM.
    + respect LTSP LOCALDEV setting when adding or removing devices
    + start cdpinger and ltspfsd from udev scripts

  * updated/added udev rules to support:
    - usb floppy drives (Closes: #415460)
    - external usb hard drives
    - CDROM drives
    - commented out rule for internal hard drives

   * updated standards-version to 3.8.0, no changes necessary.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 26 Jun 2008 09:58:55 -0700

ltspfs (0.5.2-1) unstable; urgency=low

  * new upstream version:
    - merge add_fstab_entry and remove_fstab_entry into ltspfs_entry
    - use more restrictive permissions on /media/$username 

  * updated udev rules to use ltspfs_entry
  * symlink add_fstab_entry and remove_fstab_entry to ltspfs_entry for
    backwards compatibility

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 03 May 2008 22:49:28 -0700

ltspfs (0.5.1-1) unstable; urgency=low

  * new upstream version:
    - fix local devices when used with ldm's direct x mode enabled
  * debian/control: add Vcs-Bzr and Vcs-Browser fields
  * remove patch to fix ldm-delayed-mounter (applied upstream)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 19 Apr 2008 21:33:52 -0500

ltspfs (0.5.0~bzr20080303-1) unstable; urgency=low

  * new upstream release from bzr:
    - use /sbin/udevadm if present, fall back to udevinfo (Closes: #456327)
    - implement hook scripts for ltspfs
    - add example hook script to add icons on KDE desktops.
      thanks to Klaus Ade Johnstad (Closes: #459369)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun,  2 Mar 2008 21:39:24 -0800

ltspfs (0.5.0~bzr20080109-3) unstable; urgency=low

  * fix typo in udev rules causing usb sticks to fail to mount

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 20 Jan 2008 14:50:59 -0800

ltspfs (0.5.0~bzr20080109-2) unstable; urgency=low

  * debian/control:
    - fix FTBFS: add build dependency on libglib2.0-dev
    - allow debian-maintainer uploads:
        + XS-DM-Upload-Allowed: yes
  * really add NEWS.Debian 

 -- Vagrant Cascadian <vagrant@freegeek.org>  Mon, 14 Jan 2008 15:15:32 -0800

ltspfs (0.5.0~bzr20080109-1) unstable; urgency=low

  * new upstream from bzr release:
    - use "mount --move" instead of "mount --bind", so only a single
      mountpoint appears (Closes: #443200)
    - drop hard-coded DISPLAY variable in ltspfsmounter which caused mounts to
      only work for the first user logged into a server
    - rewrite of cdpinger in C
      + handles when ltspfs_fstab is missing (Closes: #432669)
    - install ldm hooks for ltspfs (formerly in ldm package)

  * only add removable devices in default ltspfsd udev rules. thanks to Petter
    Reinholdtsen and Gideon Romm (Closes: 432024)
    - added NEWS.Debian explaining how to re-enable non-removable devices.

  * fix bug in ldm's delayed mounter hook

  * debian/copyright:
    - updated URLs for bzr branches
    - updated copyright notices

  * debian/control:
    - updated to Standards-Version 3.7.3, no changes needed.
    - Conflict with versions of ldm that shipped hooks for ltspfs
    - remove from Uploaders, thanks for all previous work:
      Matt Zimmerman (at request)
      Gustavo Franco (at request)
      Michael Vogt (possibly mistakenly added, no activity)

   * debian/rules:
      fix lintian warning: debian-rules-ignores-make-clean-error

 -- Vagrant Cascadian <vagrant@freegeek.org>  Thu, 10 Jan 2008 15:41:19 -0800

ltspfs (0.5+debian1) unstable; urgency=low

  * new upstream
    - works with new ldm
  * fixes to cdpinger:
    - call ssh with the socket in /var/run/
    - get call from subprocess
    (Closes: #418144)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Tue, 18 Sep 2007 09:55:58 -0700

ltspfs (0.5-0ubuntu1) gutsy; urgency=low

  * Fixed bugs, eliminated the delayed mounter, bumped to version 0.5

 -- Scott Balneaves <sbalneav@ltsp.org>  Mon, 03 Sep 2007 00:33:44 -0500

ltspfs (0.4.3+debian3) unstable; urgency=medium

  urgency medium as it fixes RC bug
  * sync with upstream:
    - fix mutex release bug
    - edit /var/run/ltspfs_fstab instead of /etc/fstab (Closes: #427773)
  * cdpinger depends on lsof, thanks to Bernd Herd (Closes: #410661)
  * use dh_installudev to install udev rules for ltspfsd

 -- Vagrant Cascadian <vagrant@freegeek.org>  Fri, 15 Jun 2007 20:39:09 +0100

ltspfs (0.4.3+debian2) unstable; urgency=low

  * updated debian/copyright
  * install appropriate udev rules for debian 

 -- Vagrant Cascadian <vagrant@freegeek.org>  Wed, 27 Dec 2006 05:20:35 -0700

ltspfs (0.4.3+debian1) unstable; urgency=low

  * build for Debian
  * Maintainer: LTSP Debian/Ubuntu Maintainers
    <pkg-ltsp-devel@lists.alioth.debian.org>
  * Uploaders: same as ltsp + Scott Balneaves <sbalneav@ltsp.org>
  * drop un-used example: watch.ex
  * drop README.Debian (contained little useful information)
  * remove lintian overrides, as we should be reminded to provide man pages.
  * treat udev 88-ltsp.rules file as a conffile:
    - remove do-nothing postinst and prerm scripts.
  * change policy-violating editing of /etc/modules to a warning message.
  * add_fstab_entry:
      - grab filesystem type from environment if not specified on the
      commandline
      - exit if filesystem type is not defined
      - use basename of device, in case the full device is passed.
  * merge with upstream:
    - drop all fuse module handling code from ltspfs.postinst.
  * autogen.sh: use "automake -ac" (thanks to Wolfgang Schweer)

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sat, 23 Dec 2006 11:16:58 -0700

ltspfs (0.4.3-0ubuntu4) edgy; urgency=low

  * really add missing dependency on fuse-ultis to ltspfs binary (brown
    paperbag upload)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 25 Sep 2006 03:37:34 +0200

ltspfs (0.4.3-0ubuntu3) edgy; urgency=low

  * add missing dependency on fuse-ultis to ltspfs binary

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 24 Sep 2006 19:50:06 +0200

ltspfs (0.4.3-0ubuntu2) edgy; urgency=low

  * Fixed testing conditions in postinst.
  * closes: https://launchpad.net/distros/ubuntu/+source/ltspfs/+bug/61738

 -- Scott Balneaves <sbalneav@ltsp.org>  Mon, 18 Sep 2006 13:01:06 -0500

ltspfs (0.4.3-0ubuntu1) edgy; urgency=low

  * Fixed variable check for static-devices in add_fstab_entry
  * Bumped to 0.4.3
  * UVF exception granted by mdz

 -- Scott Balneaves <sbalneav@ltsp.org>  Mon, 18 Sep 2006 13:01:06 -0500

ltspfs (0.4.2-0ubuntu1) edgy; urgency=low

  * Fixed bug in mounting floppies.
  * Fixed race conditions for mounting in /tmp, to moving mounting of drives
    to /var/run
  * Fix FHS compliance by installing scripts to /usr/sbin
  * Testing exist status of mounting in am_mount and am_umount removed to
    allow failed floppy mounts not to exit the server.
  * Added null check for DISPLAY to fix segfault.

 -- Scott Balneaves <sbalneav@ltsp.org>  Mon, 18 Sep 2006 13:01:06 -0500

ltspfs (0.4.1-0ubuntu1) edgy; urgency=low

  * New maintainer: Scott Balneaves
  * Merge source to single upstream tarball, instead of CVS checkouts.
  * Merged Ubuntu security patches for ltspfs and ltspfsd binaries upstream
  * Upgraded pathing, fixed udev rules plus problem in postinst

 -- Scott Balneaves <sbalneav@ltsp.org>  Mon, 18 Sep 2006 13:01:06 -0500

ltspfs (0.2-0ubuntu4) edgy; urgency=low

  * make sure the suid bit is really set on the suid wrapper

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 29 Aug 2006 12:16:27 +0200

ltspfs (0.2-0ubuntu3) edgy; urgency=low

  * add 01_fix_ltspfs_buffer_overflow.dpatch 
  * fix system calls to be true fork/execv (ltspfsd)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 25 Aug 2006 14:49:57 +0200

ltspfs (0.2-0ubuntu2) edgy; urgency=low

  * make sure the fuse module is loaded
  * fixed dependencys (for ltspfsd)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 23 Aug 2006 17:04:05 +0200

ltspfs (0.2-0ubuntu1) edgy; urgency=low

  * added lbmount source and integration scripts
  * added ubuntu integration scripts (ltspfsd)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 22 Aug 2006 10:41:14 +0200

ltspfs (0.1cvs20060518-1) dapper; urgency=low

  * fixed manpage
  * added dependency on fuse-utils
  * most recent cvs checkout, fixes several bugs
   - Fixed timeouts, and a hack for ubuntu ltspfs auth. (sbalneav)
  * UVF exception approved by mdz

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 18 May 2006 07:47:46 +0200

ltspfs (0.1cvs20060119-1) dapper; urgency=low

  * updated to latest cvs

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 19 Jan 2006 03:01:49 +0100

ltspfs (0.1cvs20051117-1) dapper; urgency=low

  * Initial release

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 28 Oct 2005 21:38:44 +0200

